# Profile

Endpoints for managing WhatsApp Business profile

## Get WhatsApp Business Profile

> Retrieve comprehensive information about a WhatsApp Business Profile, including business details, contact information, and profile settings.

```json
{"openapi":"3.1.0","info":{"title":"Messaging API","version":"1.41.0"},"tags":[{"name":"Profile","description":"Endpoints for managing WhatsApp Business profile"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"profile.GetBusinessProfileResponse":{"description":"Response containing WhatsApp Business Profile data","properties":{"data":{"items":{"$ref":"#/components/schemas/profile.BusinessProfileData"},"type":"array","uniqueItems":false}},"type":"object"},"profile.BusinessProfileData":{"description":"WhatsApp Business Profile information and settings","properties":{"about":{"type":"string"},"address":{"type":"string"},"description":{"type":"string"},"email":{"type":"string"},"messaging_product":{"type":"string"},"profile_picture_url":{"type":"string"},"vertical":{"enum":["OTHER","AUTO","BEAUTY","APPAREL","EDU","ENTERTAIN","EVENT_PLAN","FINANCE","GROCERY","GOVT","HOTEL","HEALTH","NONPROFIT","PROF_SERVICES","RETAIL","TRAVEL","RESTAURANT","ALCOHOL","ONLINE_GAMBLING","PHYSICAL_GAMBLING","OTC_DRUGS"],"type":"string"},"websites":{"items":{"type":"string"},"type":"array","uniqueItems":false}},"required":["messaging_product"],"type":"object"},"utils.ErrorResp":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/whatsapp_business_profile":{"get":{"description":"Retrieve comprehensive information about a WhatsApp Business Profile, including business details, contact information, and profile settings.","operationId":"get-whatsapp-business-profile","parameters":[{"description":"Comma-separated list of fields to include in the response. Available fields: messaging_product, about, address, description, email, profile_picture_url, websites, vertical","in":"query","name":"fields","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/profile.GetBusinessProfileResponse"}}},"description":"WhatsApp Business Profile retrieved successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Bad request - Invalid parameters or malformed request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Unauthorized - Invalid or missing API key"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Forbidden - Insufficient permissions to access this profile"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Not found - Phone Number ID does not exist or is not accessible"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Too many requests - Rate limit exceeded"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Internal server error"}},"summary":"Get WhatsApp Business Profile","tags":["Profile"]}}}}
```

## Update WhatsApp Business Profile

> Update WhatsApp Business Profile information including business details, contact information, and profile settings. To update the profile picture, first use the Resumable Upload API to obtain a profile\_picture\_handle, then include it in the request.

```json
{"openapi":"3.1.0","info":{"title":"Messaging API","version":"1.41.0"},"tags":[{"name":"Profile","description":"Endpoints for managing WhatsApp Business profile"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"profile.UpdateBusinessProfileRequest":{"description":"Request payload for updating WhatsApp Business Profile information including business details, contact information, and profile settings","properties":{"about":{"type":"string"},"address":{"type":"string"},"description":{"type":"string"},"email":{"type":"string"},"messaging_product":{"type":"string"},"profile_picture_handle":{"type":"string"},"vertical":{"enum":["OTHER","AUTO","BEAUTY","APPAREL","EDU","ENTERTAIN","EVENT_PLAN","FINANCE","GROCERY","GOVT","HOTEL","HEALTH","NONPROFIT","PROF_SERVICES","RETAIL","TRAVEL","RESTAURANT","ALCOHOL","ONLINE_GAMBLING","PHYSICAL_GAMBLING","OTC_DRUGS"],"type":"string"},"websites":{"items":{"type":"string"},"type":"array","uniqueItems":false}},"required":["messaging_product"],"type":"object"},"profile.UpdateBusinessProfileResponse":{"description":"Response after updating WhatsApp Business Profile","properties":{"success":{"type":"boolean"}},"type":"object"},"utils.ErrorResp":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/whatsapp_business_profile":{"post":{"description":"Update WhatsApp Business Profile information including business details, contact information, and profile settings. To update the profile picture, first use the Resumable Upload API to obtain a profile_picture_handle, then include it in the request.","operationId":"update-whatsapp-business-profile","requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"type":"object"},{"$ref":"#/components/schemas/profile.UpdateBusinessProfileRequest","summary":"requestBody","description":"Profile update payload"}]}}},"description":"Profile update payload","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/profile.UpdateBusinessProfileResponse"}}},"description":"WhatsApp Business Profile updated successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Bad request - Invalid parameters or malformed request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Unauthorized - Invalid or missing API key"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Forbidden - Insufficient permissions to modify this profile"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Not found - Phone Number ID does not exist or is not accessible"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Too many requests - Rate limit exceeded"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Internal server error"}},"summary":"Update WhatsApp Business Profile","tags":["Profile"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.360dialog.com/docs/messaging-api/api-reference/profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
